# cryptofinder

Command-line program for finding cryptocurrencies

## System requirements
- Python 3

## Installation

### Debian / Ubuntu
    apt-get update && apt-get install -y python3-pip && pip3 install cryptofinder

### Windows 7+
- Install [chocolatey](https://chocolatey.org/install)
- Run `choco install python & pip install cryptofinder`

## Options
    Usage: cryptofinder [OPTIONS]

    Options:
      --market-cap <float[]>        Market cap range.  [default: 0.0, 250000.0]
      --avail-supply <float[]>      Available supply range.  [default: 0.0,
                                    50000000.0]
      --avail-supply-ratio <float>  This * total supply >= circulating supply.
                                    [default: 0.5]
      --day-volume <float[]>        Daily volume range.  [default: 0.0, inf]
      --day-volume-ratio <float>    This * market cap >= day volume.  [default:
                                    0.02]
      --force                       Force coin instance updates.
      --drop                        Drop database.
      --offline                     Disable ticker updates.
      --save                        Save results to JSON file.
      -v, --verbose                 Enable verbose logging.
      -q, --quiet                   Disable stdout logging.
      -h, --help                    Show this message and exit.

## Example
    Updating coins: 100%|██████████████████████████████████████████████████████████████████████████████████████████████████| 2074/2074 [01:15<00:00, 27.40 coins/s]

    Results:

    #    Symbol    Name               Total Supply    Avail. Supply    Ratio    Daily Volume    Market Cap    Ratio    BTC         USD            %1H     %24H     %7D      Rank
    ---  --------  -----------------  --------------  ---------------  -------  --------------  ------------  -------  ----------  -------------  ------  -------  -------  ------
    1    EGEM      EtherGem           15,941,178      15,941,178       1.00     $6,751.33       $247,840      0.027    0.00000453  $0.0155471543  +0.69   +18.21   -7.25    980
    2    BZX       Bitcoin Zero       12,117,650      12,117,650       1.00     $13,118.66      $233,352      0.056    0.00000561  $0.019257205   -0.29   -4.63    -31.54   986
    3    PYLNT     Pylon Network      633,858         391,871          0.62     $31,553.81      $230,022      0.137    0.00017095  $0.5869845704  -0.44   -24.86   -27.42   989
    4    TDS       TokenDesk          14,683,321      10,278,325       0.70     $24,889         $220,341      0.113    0.00000624  $0.021437402   +2.62   +4.00    +292.25  995
    5    ETHO      Ether-1            17,595,791      17,501,237       0.99     $8,676.12       $219,873      0.039    0.00000366  $0.012563262   -2.38   +2.10    -4.68    996
    6    EXMR      EXMR               15,000,000      11,951,718       0.80     $13,506.61      $210,800      0.064    0.00000514  $0.017637665   +3.54   +1.08    -13.46   1005
    7    VIVID     Vivid Coin         4,258,051       4,018,910        0.94     $13,865.71      $188,723      0.073    0.00001368  $0.0469587656  +18.43  -11.08   -36.04   1021
    8    QUAN      Quantis Network    3,381,717       3,381,716        1.00     $6,826.46       $179,595      0.038    0.00001547  $0.0531075618  +1.44   -7.57    -31.84   1027
    9    CSTL      Castle             11,674,860      11,382,406       0.97     $11,127.85      $179,557      0.062    0.00000459  $0.01577497    -2.09   +4.65    -26.77   1028
    10   ACE       ACE (TokenStars)   14,476,036      11,678,403       0.81     $93,362.07      $167,225      0.558    0.00000417  $0.0143191641  -4.17   -0.92    -38.63   1035
    11   GPKR      Gold Poker         2,594,469       1,793,469        0.69     $26,604.06      $160,806      0.165    0.00002611  $0.0896617988  -4.77   +0.89    +15.32   1041
    12   AIX       Aigang             29,274,567      22,248,671       0.76     $16,682.33      $149,815      0.111    0.00000196  $0.0067336436  -1.11   +3.36    -5.81    1049
    13   BTW       BitWhite           60,342,895      36,325,371       0.60     $205,712.32     $144,315      1.425    0.00000116  $0.0039728447  -0.28   +3.94    -12.78   1050
    14   ING       Iungo              62,553,604      40,000,000       0.64     $12,843.43      $140,898      0.091    0.00000103  $0.0035224441  +0.71   +0.53    -15.38   1053
    15   BRIA      BriaCoin           743,431         743,431          1.00     $4,073.16       $133,807      0.030    0.00005242  $0.1799854418  -0.10   +7.46    +6.74    1059
    16   RUPX      Rupaya             37,461,322      37,461,322       1.00     $3,697.81       $130,809      0.028    0.00000102  $0.0034918313  -0.44   +4.94    -13.74   1063
    17   CAZ       Cazcoin            45,767,875      38,197,885       0.83     $15,442.18      $121,542      0.127    0.00000093  $0.0031819082  -2.31   -16.95   -40.86   1070
    18   LOBS      Lobstex            12,857,570      11,541,812       0.90     $24,806.86      $121,217      0.205    0.00000306  $0.0105024563  -0.98   +16.74   -8.81    1071
    19   PRJ       Project Coin       5,824,741       5,524,741        0.95     $4,982.23       $111,313      0.045    0.00000587  $0.0201480845  +0.13   +9.04    -30.95   1076
    20   APR       APR Coin           6,231,690       6,231,690        1.00     $6,239.11       $111,235      0.056    0.00000520  $0.0178498232  -0.44   +5.53    -36.41   1077
    21   SUR       Suretly            237,614         233,876          0.98     $3,251.23       $107,802      0.030    0.00013424  $0.4609362863  -0.24   +3.72    +1.38    1079
    22   AMM       MicroMoney         17,532,943      12,926,101       0.74     $8,327.58       $93,272       0.089    0.00000210  $0.0072158005  -7.75   -3.70    -10.09   1091
    23   ETG       Ethereum Gold      24,000,000      12,000,000       0.50     $2,546.89       $81,958       0.031    0.00000199  $0.0068298569  -0.44   +9.38    +22.02   1098
    24   BTCN      BitcoiNote         9,743,608       9,743,608        1.00     $1,277.24       $63,269       0.020    0.00000189  $0.0064934215  +0.27   +35.74   +28.79   1108
    25   RLT       RouletteToken      10,219,640      10,218,917       1.00     $4,812.34       $62,088       0.078    0.00000177  $0.0060758052  -0.91   +0.11    +2.55    1109
    26   SCRIV     SCRIV NETWORK      42,007,077      24,744,362       0.59     $4,695.97       $59,587       0.079    0.00000070  $0.0024080854  -0.32   -12.07   -34.38   1114
    27   NMS       Numus              2,750,877       2,750,877        1.00     $2,079.14       $58,607       0.035    0.00000620  $0.021304767   -12.01  +38.67   +76.77   1115
    28   TEAM      TEAM (TokenStars)  17,818,682      11,338,390       0.64     $7,462.89       $58,595       0.127    0.00000151  $0.005167814   +2.96   +0.72    +4.73    1116
    29   WHL       WhaleCoin          10,192,294      10,192,294       1.00     $52,779.53      $58,080       0.909    0.00000166  $0.0056983785  +2.12   +5.77    +18.64   1117
    30   PLAN      Plancoin           26,975,135      26,975,135       1.00     $11,295.21      $55,558       0.203    0.00000060  $0.002059595   -0.44   +4.94    -16.72   1118
    31   BITS      Bitcoinus          59,294,348      45,294,348       0.76     $27,594.73      $49,620       0.556    0.00000032  $0.0010955075  +1.22   -6.69    +3.50    1125
    32   ATH       Atheios            10,344,528      10,261,730       0.99     $2,879.29       $46,497       0.062    0.00000132  $0.004531109   -8.10   +14.87   +20.49   1126
    33   PSC       PrimeStone         6,635,535       6,134,735        0.92     $1,716.74       $46,364       0.037    0.00000220  $0.0075575895  +0.60   +7.57    -44.23   1127
    34   MFIT      MFIT COIN          740,112         669,403          0.90     $860.3          $33,462       0.026    0.00001456  $0.0499879581  -0.37   -0.92    -70.63   1134
    35   ALT       Altcoin            134,063         123,175          0.92     $1,167.84       $32,993       0.035    0.00007801  $0.2678503277  -20.73  +0.51    -43.74   1135
    36   DSR       Desire             6,591,474       5,991,474        0.91     $6,309.65       $30,796       0.205    0.00000150  $0.0051399297  +2.98   +34.04   +15.35   1137
    37   MRI       Mirai              3,408,737       3,397,763        1.00     $2,171.46       $30,545       0.071    0.00000262  $0.0089897363  -0.35   +0.16    -18.43   1138
    38   AZART     Azart              3,156,347       3,156,347        1.00     $1,047.38       $25,892       0.040    0.00000239  $0.0082030139  -0.44   +14.97   +9.11    1143
    39   NYEX      Nyerium            24,101,135      18,907,620       0.78     $723.52         $24,404       0.030    0.00000038  $0.0012906839  +3.98   +3.74    +32.51   1145
    40   DIN       Dinero             10,171,198      8,171,193        0.80     $609.61         $21,640       0.028    0.00000077  $0.0026483481  -6.18   -19.15   -23.00   1148
    41   YLC       YoloCash           48,888,888      29,499,388       0.60     $1,656.04       $10,153       0.163    0.00000010  $0.0003441752  +1.06   -10.01   -21.16   1158
    42   KWH       KWHCoin            46,985,982      44,903,253       0.96     $54,945.7       $4,339        12.663   0.00000003  $9.66305e-05   -14.24  -5.62    -92.42   1163
    43   PAXEX     PAXEX              22,703,857      20,263,433       0.89     $1,657.89       $2,625        0.632    0.00000004  $0.0001295473  +1.54   +146.06  -90.86   1164
    44   SCS       SpeedCash          587,545         574,745          0.98     $206.45         $10,179       0.020    0.00000516  $0.0177095939  +0.54   +17.30   -5.34    1667
    45   BENZ      Benz               6,680,473       5,958,969        0.89     $91.75          $2,685        0.034    0.00000013  $0.0004506411  -0.21   -0.28    -37.31   1719
    46   OUR       Ourcoin            931,510         617,697          0.66     $40.43          $892          0.045    0.00000042  $0.0014438613  -0.63   -3.52    -21.73   1739
    
    Data cached 2018-12-17 @ 07:32:46 AM.

    Exiting.
